Bug 1634529 - [abrt] did: main(): cli.py:209:main:AttributeError: 'GSSError' object has no attribute 'gen_msg'
Summary: [abrt] did: main(): cli.py:209:main:AttributeError: 'GSSError' object has no ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: did
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šplíchal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4d42bb68d571da9be860c3b8c8e...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-01 07:36 UTC by Karel Volný
Modified: 2018-12-19 00:39 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-05 01:56:46 UTC


Attachments (Terms of Use)
File: backtrace (3.58 KB, text/plain)
2018-10-01 07:36 UTC, Karel Volný
no flags Details
File: cgroup (331 bytes, text/plain)
2018-10-01 07:36 UTC, Karel Volný
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2018-10-01 07:36 UTC, Karel Volný
no flags Details
File: environ (3.16 KB, text/plain)
2018-10-01 07:36 UTC, Karel Volný
no flags Details
File: mountinfo (3.17 KB, text/plain)
2018-10-01 07:36 UTC, Karel Volný
no flags Details
File: namespaces (129 bytes, text/plain)
2018-10-01 07:36 UTC, Karel Volný
no flags Details
File: open_fds (975 bytes, text/plain)
2018-10-01 07:36 UTC, Karel Volný
no flags Details

Description Karel Volný 2018-10-01 07:36:37 UTC
Description of problem:
I forgot to kinit before using did. I don't think that traceback is a nice reaction to that ...

Version-Release number of selected component:
did-0.9-7.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python2 /usr/bin/did last week
crash_function: main
exception_type: AttributeError
executable:     /usr/bin/did
interpreter:    python2-2.7.15-3.fc28.x86_64
kernel:         4.18.9-200.fc28.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
cli.py:209:main:AttributeError: 'GSSError' object has no attribute 'gen_msg'

Traceback (most recent call last):
  File "/usr/bin/did", line 42, in <module>
    did.cli.main()
  File "/usr/lib/python2.7/site-packages/did/cli.py", line 209, in main
    log.debug(error.gen_msg())
AttributeError: 'GSSError' object has no attribute 'gen_msg'

Local variables in innermost frame:
users: [<did.base.User object at 0x7f30ee5ae1d0>]
header: u'Status report for the last week (2018-09-24 to 2018-09-30).'
arguments: None
emails: [u'Karel Voln\xfd <kvolny@redhat.com>']
team_stats: <did.stats.UserStats object at 0x7f30ee5c2590>
options: Namespace(PELC=False, PELC_created=False, PELC_resolved=False, PELC_updated=False, all=True, brief=False, bugzilla=False, bugzilla_acked=False, bugzilla_closed=False, bugzilla_commented=False, bugzilla_coverage=False, bugzilla_filed=False, bugzilla_fixed=False, bugzilla_graded=False, bugzilla_patched=False, bugzilla_posted=False, bugzilla_returned=False, bugzilla_sanitized=False, bugzilla_triaged=False, bugzilla_verified=False, config=None, custom=False, debug=False, emails=[], errata=False, errata_completed=False, fedora_comic_neue_fonts=False, fedora_comps=False, fedora_fluid_soundfont=False, fedora_game_music_emu=False, fedora_gammu=False, fedora_gt=False, fedora_horai_ume_fonts=False, fedora_jack_audio_connection_kit=False, fedora_libbs2b=False, fedora_libcddb=False, fedora_libmodplug=False, fedora_libsidplayfp=False, fedora_lingot=False, fedora_qmmp=False, fedora_qmmp_plugin_pack=False, fedora_vodovod=False, fedora_wildmidi=False, format=u'text', github=False, github_closed=False, github_created=False, merge=False, packaging=False, products=False, projects=False, rpmfusion_qmmp_plugin_pack_freeworld=False, rpmfusion_qmmp_plugins_freeworld=False, rt=False, rt_reported=False, rt_resolved=False, since=<did.base.Date object at 0x7f30e3757e10>, tcms=False, tcms_automated=False, tcms_copied=False, tcms_manual=False, tcms_plans=False, tcms_proposed=False, tcms_runs=False, tests=False, tests_OpenIPMI=False, tests_at=False, tests_bind=False, tests_busybox=False, tests_chkconfig=False, tests_chrony=False, tests_coreutils=False, tests_crda=False, tests_cronie=False, tests_cups=False, tests_cyrus_imapd=False, tests_dovecot=False, tests_dstat=False, tests_edac_utils=False, tests_file=False, tests_freeipmi=False, tests_ipmitool=False, tests_iptables=False, tests_iputils=False, tests_libpcap=False, tests_libtar=False, tests_libzip=False, tests_logrotate=False, tests_lz4=False, tests_lzo=False, tests_mariadb55=False, tests_mysql=False, tests_mysql_connector_java=False, tests_mysql_connector_odbc=False, tests_nftables=False, tests_ntp=False, tests_portreserve=False, tests_postgresql=False, tests_postgresql84=False, tests_postgresql_jdbc=False, tests_setup=False, tests_star=False, tests_systemd=False, tests_tar=False, tests_telnet=False, tests_tog_pegasus=False, tests_tzdata=False, tests_udev=False, tests_unixODBC=False, tests_util_linux=False, tests_util_linux_ng=False, tests_vixie_cron=False, tests_wireshark=False, tests_xinetd=False, tests_xz=False, tests_ypbind=False, tests_ypserv=False, tests_zip=False, tests_zlib=False, total=False, until=<did.base.Date object at 0x7f30e37579d0>, utils=False, utils_rhscl=False, verbose=False, width=79, wiki=False, wiki_brq=False, wiki_test=False)
user: <did.base.User object at 0x7f30ee5ae1d0>
error: GSSError(u'Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (2529638944): Ticket expired',)
gathered_stats: []
email: u'Karel Voln\xfd <kvolny@redhat.com>'
user_stats: <did.stats.UserStats object at 0x7f30e3781890>

Comment 1 Karel Volný 2018-10-01 07:36:41 UTC
Created attachment 1488927 [details]
File: backtrace

Comment 2 Karel Volný 2018-10-01 07:36:42 UTC
Created attachment 1488928 [details]
File: cgroup

Comment 3 Karel Volný 2018-10-01 07:36:43 UTC
Created attachment 1488929 [details]
File: cpuinfo

Comment 4 Karel Volný 2018-10-01 07:36:44 UTC
Created attachment 1488930 [details]
File: environ

Comment 5 Karel Volný 2018-10-01 07:36:46 UTC
Created attachment 1488931 [details]
File: mountinfo

Comment 6 Karel Volný 2018-10-01 07:36:47 UTC
Created attachment 1488932 [details]
File: namespaces

Comment 7 Karel Volný 2018-10-01 07:36:48 UTC
Created attachment 1488933 [details]
File: open_fds

Comment 8 Petr Šplíchal 2018-11-26 12:52:20 UTC
This should now be fixed in upstream:
https://github.com/psss/did/commit/62e5748

Comment 9 Fedora Update System 2018-11-26 17:55:04 UTC
did-0.11-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a028b681ac

Comment 10 Fedora Update System 2018-11-26 17:56:08 UTC
did-0.11-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-822aa02b2a

Comment 11 Fedora Update System 2018-11-26 17:56:38 UTC
did-0.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ab30b38ebc

Comment 12 Fedora Update System 2018-11-27 02:43:59 UTC
did-0.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ab30b38ebc

Comment 13 Fedora Update System 2018-11-27 04:27:54 UTC
did-0.11-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-822aa02b2a

Comment 14 Fedora Update System 2018-11-27 05:14:19 UTC
did-0.11-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a028b681ac

Comment 15 Fedora Update System 2018-11-29 16:22:36 UTC
did-0.11-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fbb054cca2

Comment 16 Fedora Update System 2018-11-29 16:49:20 UTC
did-0.11-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d576cc22af

Comment 17 Fedora Update System 2018-11-30 03:14:36 UTC
did-0.11-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d576cc22af

Comment 18 Fedora Update System 2018-12-05 01:56:46 UTC
did-0.11-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-12-05 02:35:12 UTC
did-0.11-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-12-19 00:39:26 UTC
did-0.11-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.